# Copyright (c) 2017  University of Houston

from __future__ import absolute_import

from .bases import AlpineSupervisorHost, _wrapPOA
from .util import RSYSLOGCONF, findvol

from foam.vts.drivers.docker import DockerDriver

# TODO: syslog handling should all go into a base handler
class RLent1Handler(AlpineSupervisorHost):
  def postlocaltopo (self, _cobj):
    if not self.attrs["syslog-ip"]:
      return

    vol = findvol("/cfg")
    if vol:
      data = {"syslog-ip" : self.attrs["syslog-ip"], "work-dir" : "/cfg"}
      with open("%s/rsyslog.conf" % (vol.hpath), "w+") as cfgf:
        cfgf.write(RSYSLOGCONF % (data))

  def postnettopo (self, _cobj):
    dd = DockerDriver(self.log.info)
    dd.ccall(self.container, "/usr/bin/ssh-keygen -A")
    if self.attrs["syslog-ip"]:
      dd.supervisor(self.container, "start", "rsyslog")

  @staticmethod
  def geniSetup (registry):
    AlpineSupervisorHost.geniSetup(registry)

